<template>
  <div>
    <div style="border: 1px solid #000000">
      <span v-if="hasActiveNodes">
        {{ node.name }}
      </span>
      <div v-for="aNode in activeNodes" :key="aNode.id">
        <span>{{ aNode.name }}</span>
        <div style="display: flex">
          <div
            v-for="n in getNodeCount(aNode)"
            :key="n"
            :style="getOutputStyle(aNode)"
          ></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Output",
  props: {
    parent: String,
    node: Object,
    depth: {
      type: Number,
      default: 0,
    },
  },
  computed: {
    forTree() {
      var parsedobj = JSON.parse(JSON.stringify(this.node));
      return parsedobj.children;
    },
    hasActiveNodes() {
      return this.node.children.some((e) => e.checked);
    },
    activeNodes() {
      return this.node.children.filter((e) => e.checked);
    },
  },
  methods: {
    getOutputStyle(node) {
      return {
        backgroundColor: node.color,
        width: "5px",
        height: "5px",
        margin: "0 5px",
      };
    },
    getNodeCount(node) {
      return Number.parseInt(node.count);
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.tree {
  text-align: left;
  font-size: 15px;
}
</style>
